@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;1,100;1,300&display=swap');


* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   font-family: 'Roboto', sans-serif;

}

body {
   background-color: #0d1117;
   color: #fff;

}

h1 {
   text-align: center;
   margin: 20px auto;

}

a {
   text-decoration: none;
   color: #8b949e;


}

.content-main {
   margin: 30px;

}

.content-main .project {
   border: 1px solid #30363d;
   display: flex;
   flex-direction: column;
   padding: 20px;
   gap: 30px;
   border-radius: 6px;
   margin: 20px;

}

.content-main .project div {
   display: flex;
   justify-content: space-between;

}

.content-main .project div .date-create {
   color: #8b949e;
   border: 1px solid #30363d;
   border-radius: 20px;
   padding: 5px 10px;
   font-size: 0.9rem;

}

.content-main .project div .title {
   color: #47a6f0;

}

.content-main .project .language .circle {
   background-color: #47a6f0;
   display: inline-block;
   width: 12px;
   height: 12px;
   margin-right: 5px;
   border: 1px solid #30363d;
   border-radius: 50%;

}

/*estilização dos botôes*/

.textfield {
   width: 100%;
   padding: 5px 5px;
   display: inline-block;
   border: 0;
   border-bottom: 1px solid #272262;
   background-color: transparent;
   outline: none;
   min-width: 180px;
   font-size: 16px;
   transition: all 3s ease-out;
   border-radius: 0;
   text-align: center;
   display: block;

}

#User {
   width: 15%;
   height: 50px;
   margin: 0 auto;
   padding: 10px;
   border: none;
   margin-bottom: 10px;
   border-radius: 5px;

}

.btn-limpar {
   border-color: #eb0303;
   width: 8%;
   height: 50px;
   border-radius: 5px;
   color: #f8f0f0;
   box-shadow: 0 0 40px 40px #eb0303 inset, 0 0 0 0 #eb0303;
   -webkit-transition: all 150ms ease-in-out;
   transition: all 150ms ease-in-out;
   font-weight: bold;
   font-size: 15px
}

.btn-limpar:hover {
   box-shadow: 0 0 10px 0 #df0606 inset, 0 0 10px 4px #eb0303;
   color: #121111;
}


.btn-consultar {
   border-color: #3498db;
   width: 8%;
   height: 50px;
   border-radius: 5px;
   color: #fdfafa;
   box-shadow: 0 0 40px 40px #3498db inset, 0 0 0 0 #3498db;
   -webkit-transition: all 150ms ease-in-out;
   transition: all 150ms ease-in-out;
   font-weight: bold;
   font-size: 15px
}

.btn-consultar:hover {
   box-shadow: 0 0 10px 0 #3498db inset, 0 0 10px 4px #3498db;
   color: #121111;
}

/* estilização dos alertas */

.alert {
   padding: 20px;
   background-color: #f44336;
   color: white;
   opacity: 1;
   transition: opacity 0.6s;
   margin-bottom: 15px;
   display: none;
   transition: opacity 0.5s;
   width: 30%;
   border-radius: 10px;

}

/* estilização dos alertas*/

.alert-repositorios {
   padding: 20px;
   background-color: #DAA520;
   color: white;
   opacity: 1;
   transition: opacity 0.6s;
   margin-bottom: 15px;
   display: none;
   transition: opacity 0.5s;
   width: 30%;
   border-radius: 10px;

}

#loading {
   display: none;
   text-align: center;
   font-size: 18px;
   margin: 20px 0;
   color: #eeecec;
}

@keyframes spin {
   0% {
      transform: rotate(0deg);
   }

   100% {
      transform: rotate(360deg);
   }
}

.loading::after {
   content: '';
   display: inline-block;
   width: 20px;
   height: 20px;
   border: 3px solid #007bff;
   border-top-color: transparent;
   border-radius: 50%;
   animation: spin 1s linear infinite;
   margin-left: 10px;
}

.pagination {
   margin-top: 20px;
   text-align: center;
   display: none;
   /* Oculta o menu de paginação inicialmente */
}

.pagination button {
   padding: 5px 10px;
   font-size: 14px;
   cursor: pointer;
   background-color: #007bff;
   color: white;
   border: none;
   border-radius: 5px;
   margin: 0 5px;
}

.pagination button:disabled {
   background-color: #ccc;
   cursor: not-allowed;
}

/* Responsividade */


@media(min-width:320px) and (max-width:900px) {
   .language {
      font-size: 12px;

   }
}

@media(min-width:320px) and (max-width:900px) {
   .alert {
      width: 100%;

   }
}

@media(min-width:320px) and (max-width:900px) {
   .alert-repositorios {
      width: 100%;

   }
}

@media(min-width:320px) and (max-width:900px) {
   .circle {
      font-size: 10px;

   }
}

@media(min-width:320px) and (max-width:900px) {
   .title {
      padding: 10px;

   }
}


@media(min-width:320px) and (max-width:900px) {
   .content-main .project div {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
   }
}

@media(min-width:320px) and (max-width:900px) {
   #url {
      font-size: 12px;
      text-align: justify;
      padding: 5px 5px;
   }
}

@media(min-width:320px) and (max-width:900px) {
   #btn {
      width: 20%;
      font-size: 11px;
   }
}

@media(min-width:320px) and (max-width:900px) {
   #btn-2 {
      width: 20%;
      font-size: 11px;
   }
}

@media(min-width:320px) and (max-width:900px) {
   #User {
      width: 25%;
      font-size: 11px;
   }
}